Subject: Re: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Robert Pluim <[email-masked]>
Date: Tue, 12 Nov 2019 14:27:56 +0100

>>>>> On Mon, 11 Nov 2019 18:16:22 +0000, Alan Third <[email-masked]> said:
    Alan> The main bit of the code is around the method
    Alan> createDrawingBufferWithRect in nsterm.m. It’s a simple bitmap and it’s
    Alan> very slow to draw to the screen (drawRect:). I think that there are
    Alan> things that can be done with layers and CGLayers, but I never managed
    Alan> to work out how it’s supposed to work, or if it’s even plausible. I
    Alan> don’t know if AppKit can draw directly to CGLayers.

Question #1: How do you know itʼs slow? Iʼve been using it since this
morning, and it seems ok.

Robert